Package com.io7m.idstore.server.service.configuration.jaxb

# Class Mail

java.lang.Object
com.io7m.idstore.server.service.configuration.jaxb.Mail

public class Mail extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element ref="{urn:com.io7m.idstore:configuration:1}SMTP"/>
               <element ref="{urn:com.io7m.idstore:configuration:1}SMTPS"/>
               <element ref="{urn:com.io7m.idstore:configuration:1}SMTPTLS"/>
             </choice>
             <element ref="{urn:com.io7m.idstore:configuration:1}MailAuthentication" minOccurs="0"/>
           </sequence>
           <attribute name="SenderAddress" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="VerificationExpiration" use="required" type="{http://www.w3.org/2001/XMLSchema}duration" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MailAuthentication`
  `mailAuthentication`
  `protected String`
  `senderAddress`
  `protected SMTPType`
  `smtp`
  `protected SMTPSType`
  `smtps`
  `protected SMTPTLSType`
  `smtptls`
  `protected Duration`
  `verificationExpiration`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Mail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MailAuthentication`
  `getMailAuthentication()`
  Gets the value of the mailAuthentication property.
  `String`
  `getSenderAddress()`
  Gets the value of the senderAddress property.
  `SMTPType`
  `getSMTP()`
  Gets the value of the smtp property.
  `SMTPSType`
  `getSMTPS()`
  Gets the value of the smtps property.
  `SMTPTLSType`
  `getSMTPTLS()`
  Gets the value of the smtptls property.
  `Duration`
  `getVerificationExpiration()`
  Gets the value of the verificationExpiration property.
  `void`
  `setMailAuthentication(MailAuthentication value)`
  Sets the value of the mailAuthentication property.
  `void`
  `setSenderAddress(String value)`
  Sets the value of the senderAddress property.
  `void`
  `setSMTP(SMTPType value)`
  Sets the value of the smtp property.
  `void`
  `setSMTPS(SMTPSType value)`
  Sets the value of the smtps property.
  `void`
  `setSMTPTLS(SMTPTLSType value)`
  Sets the value of the smtptls property.
  `void`
  `setVerificationExpiration(Duration value)`
  Sets the value of the verificationExpiration property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### smtp

    protected SMTPType smtp

  - ### smtps

    protected SMTPSType smtps

  - ### smtptls

    protected SMTPTLSType smtptls

  - ### mailAuthentication

    protected MailAuthentication mailAuthentication

  - ### senderAddress

    protected String senderAddress

  - ### verificationExpiration

    protected Duration verificationExpiration

- ## Constructor Details

  - ### Mail

    public Mail()

- ## Method Details

  - ### getSMTP

    public SMTPType getSMTP()
    Gets the value of the smtp property.
    Returns:
      possible object is `SMTPType`

  - ### setSMTP

    public void setSMTP(SMTPType value)
    Sets the value of the smtp property.
    Parameters:
      `value` - allowed object is `SMTPType`

  - ### getSMTPS

    public SMTPSType getSMTPS()
    Gets the value of the smtps property.
    Returns:
      possible object is `SMTPSType`

  - ### setSMTPS

    public void setSMTPS(SMTPSType value)
    Sets the value of the smtps property.
    Parameters:
      `value` - allowed object is `SMTPSType`

  - ### getSMTPTLS

    public SMTPTLSType getSMTPTLS()
    Gets the value of the smtptls property.
    Returns:
      possible object is `SMTPTLSType`

  - ### setSMTPTLS

    public void setSMTPTLS(SMTPTLSType value)
    Sets the value of the smtptls property.
    Parameters:
      `value` - allowed object is `SMTPTLSType`

  - ### getMailAuthentication

    public MailAuthentication getMailAuthentication()
    Gets the value of the mailAuthentication property.
    Returns:
      possible object is `MailAuthentication`

  - ### setMailAuthentication

    public void setMailAuthentication(MailAuthentication value)
    Sets the value of the mailAuthentication property.
    Parameters:
      `value` - allowed object is `MailAuthentication`

  - ### getSenderAddress

    public String getSenderAddress()
    Gets the value of the senderAddress property.
    Returns:
      possible object is `String`

  - ### setSenderAddress

    public void setSenderAddress(String value)
    Sets the value of the senderAddress property.
    Parameters:
      `value` - allowed object is `String`

  - ### getVerificationExpiration

    public Duration getVerificationExpiration()
    Gets the value of the verificationExpiration property.
    Returns:
      possible object is `Duration`

  - ### setVerificationExpiration

    public void setVerificationExpiration(Duration value)
    Sets the value of the verificationExpiration property.
    Parameters:
      `value` - allowed object is `Duration`